Skip to main content
GET
/
v2
/
orgs
/
invitations
List Invitations
curl --request GET \
  --url https://api.catenatelematics.com/v2/orgs/invitations \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "accepted_at": "2025-12-11T14:22:00Z",
      "callback_url": "https://api.example.com/webhooks/catena",
      "created_at": "2025-12-11T10:30:00Z",
      "expires_at": "2025-12-12T10:30:00Z",
      "expires_in_hours": 24,
      "failure_redirect_url": "https://app.example.com/onboarding/failure",
      "fleet_id": "98765432-10fe-dcba-9876-543210fedcba",
      "fleet_name": "Swift Transport LLC",
      "fleet_ref": "FLEET-12345",
      "id": "01234567-89ab-cdef-0123-456789abcdef",
      "limit_tsps": [
        "samsara",
        "geotab"
      ],
      "magic_link": "https://connect.catenatelematics.com/?invite=01234567-89ab-cdef-0123-456789abcdef",
      "partner_id": "11223344-5566-7788-99aa-bbccddeeff00",
      "partner_slug": "acme-logistics",
      "permissions": {
        "hos_events": "read",
        "user": "read_write",
        "vehicle": "read_write",
        "vehicle_location": "read"
      },
      "pre_registration_access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
      "pre_registration_refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
      "status": "accepted",
      "success_redirect_url": "https://app.example.com/onboarding/success"
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

fleet_ref
string | null

Limit results to specific fleet reference

cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
InvitationRead · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page